The wikis are now using the new authentication system.
If you did not migrate your account yet, visit https://idp-portal-info.suse.com/

SDB:YaST No Longer Works in SUSE LINUX 9.1 After an Online Update

Şuraya atla: kullan, ara


Version: 9.1

Belirti

YOU (YaST Online Update - YaST Çevrimiçi Güncelleme) ile güncelleme yaptıktan sonra YaST Denetim Merkezi'nin çalışması durdu. Program tekrar başlatılamamaktadır.

Sebep

Çevrimiçi güncelleme yapılırken YaST Denetim Merkezi'nin yüklenmiş güncellemeleri için çok önemli olan bir paket seçilmedi ve yüklenilmedi. Bunun tipik bir işareti olarak, yazı konsolu ile root kullanıcı olarak YaST Kontrol Merkezi'ne bağlanmaya çalıştığınızda aşağıdaki hata iletisi ile karşılaşırsınız ("yast2" çalıştırarak):

warning: the qt frontend is installed but does not work
warning: the ncurses frontend is installed but does not work
You need to install yast2-ncurses to use the YaST2 text mode interface

Bu ileti "yast2-ncurses" paketine atıfta bulunmasına rağmen, gerçek sebep "popt" paketinin güncellemesinin olmamasıdır.

Çözüm

Kayıp olan güncellemeyi yapmak için aşağıdaki adımları el ile gerçekleştiriniz:

  1. SUSE LINUX sisteminizi başlatın ve normal bir kullanıcı olarak giriş yapın.
  2. "popt" (ftp://ftp.suse.com/pub/suse/i386/update/9.1/rpm/i586/popt.rpm) paketinin son sürümünü indirin ve bunu /tmp dizinine kaydedin.
  3. Konsolu açın ve "su -" komutunu çalıştırın.
  4. Root şifresini girin.
  5. Şu komut ile güncellenmiş paketi yükleyin:
    rpm -Uhv /tmp/popt.rpm
  6. [CTRL]+[D] tuş bileşimine iki kez basarak konsoldan çıkın.

YaST Kontrol Merkezi tekrar normal düzeninde çalışmalıdır.

FTP-Mirror von ftp.suse.com

de:SDB:YaST Module funktioniert unter SUSE LINUX 9.1 nach Reparatur nicht mehr


<keyword>yast,you,update,control,center</keyword>